- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IListControlAdapter
TActiveButton
TActiveCheckBox
TActiveCheckBoxList
TActiveControlAdapter
TActiveCustomValidator
TActiveCustomValidatorClientSide
TActiveDatePicker
TActiveDropDownList
TActiveHiddenField
TActiveHyperLink
TActiveImage
TActiveImageButton
TActiveLabel
TActiveLinkButton
TActiveListBox
TActiveListControlAdapter
TActiveListItemCollection
TActivePageAdapter
TActivePager
TActivePanel
TActiveRadioButton
TActiveRadioButtonList
TActiveRatingList
TActiveTextBox
TAutoComplete
TAutoCompleteEventParameter
TAutoCompleteTemplate
TBaseActiveCallbackControl
TBaseActiveControl
TCallback
TCallbackClientScript
TCallbackClientSide
TCallbackErrorHandler
TCallbackEventParameter
TCallbackOptions
TCallbackPageStateTracker
TCallbackResponseAdapter
TCallbackResponseWriter
TEventTriggeredCallback
TInPlaceTextBox
TInvalidCallbackException
TMapCollectionDiff
TScalarDiff
TStyleDiff
TTimeTriggeredCallback
TTriggeredCallback
TValueTriggeredCallback
TViewStateDiff

Keyword

# Interface IListControlAdapter

IListControlAdapter interface

Since: 3.0
Author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Method Summary
void | clearSelection () Clears all existing selections on the client side.
void | setSelectedIndex ( integer $index) Selects an item based on zero-base index on the client side.
void | setSelectedIndices ( array $indices) Selects a list of item based on zero-base indices on the client side.
void | setSelectedValue ( string $value) Sets selection by item value on the client side.
void | setSelectedValues ( array $values) Sets selection by a list of item values on the client side.

Method Details

## clearSelection

public void clearSelection | ()

Clears all existing selections on the client side.

Output
Exception

## setSelectedIndex

public void setSelectedIndex | (integer $index )

Selects an item based on zero-base index on the client side.

Input
integer | $index | the index (zero-based) of the item to be selected
Output
Exception

## setSelectedIndices

public void setSelectedIndices | (array $indices )

Selects a list of item based on zero-base indices on the client side.

Input
array | $indices | list of index of items to be selected
Output
Exception

## setSelectedValue

public void setSelectedValue | (string $value )

Sets selection by item value on the client side.

Input
string | $value | the value of the item to be selected.
Output
Exception

## setSelectedValues

public void setSelectedValues | (array $values )

Sets selection by a list of item values on the client side.

Input
array | $values | list of the selected item values
Output
Exception